Package org.opensaml.profile.context.navigate

# Class ProfileIdLookup

java.lang.Object
org.opensaml.profile.context.navigate.ProfileIdLookup

All Implemented Interfaces:
  `Function<ProfileRequestContext,String>`, `ContextDataLookupFunction<ProfileRequestContext,String>`

public class ProfileIdLookup extends Object implements ContextDataLookupFunction<ProfileRequestContext,String>
A `ContextDataLookupFunction` that returns the profile ID for a `ProfileRequestContext`.

## Constructor Summary

Constructors
Constructor
Description
`ProfileIdLookup()`

## Method Summary

Modifier and Type
Method
Description
`String`
`apply(ProfileRequestContext input)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.Function

`andThen, compose`

## Constructor Details

### ProfileIdLookup

public ProfileIdLookup()

## Method Details

### apply

@Nullable public String apply(@Nullable ProfileRequestContext input)

Specified by:
  `apply` in interface `Function<ProfileRequestContext,String>`